Instantiation Tab

Use the following information to enter data in each field on the tab:

Field | Description
--- | ---
Use Default Constructor | Specify if the default constructor of the class instantiates a new instance.
Use Method | Specify a method to execute to create objects from the database.

  Method

Select the name of a method to be executed to create objects from the database. The method must be a public, static method on the descriptor's class and must return a new instance of the object.

Use Factory | Specify an object factory method.
Factory Class | Select the class of the factory object that creates the new instances.
Factory Method | Select the method to be used to obtain a factory object. Choose `<nothing>` to use the default constructor.
Instantiation Method | Select the method to be called on the factory object to obtain a new instance that will be populated with data from the data source.

See Also

  Configuring Instantiation Policy